/**
 * The `Guard` module provides a set of utility functions designed to perform
 * validation checks and handle errors or bad data. This module contains two main submodules:
 *
 *  - `Ensure`: This module provides functions to check that certain conditions
 *    are met, throwing an error if they're not.
 *
 *  - `Catch`: This module provides functions to catch and handle errors or bad data that
 *    might occur when processing data.
 *
 * @module Guard
 */
export * as Catch from "./catch";
export * as Ensure from "./ensure";
